﻿--GUID global.
FishWarden_79a6ca19_6666_4759_9b8f_a67708694e5b = {};

local FishWarden = FishWarden_79a6ca19_6666_4759_9b8f_a67708694e5b;

FishWarden.Locale = {};

FishWarden.FWVERSION = GetAddOnMetadata("FishWarden", "Version");

-- This is a list of the achievement ID numbers.
-- These MUST be "You must catch SPECIFIC fish/item" - i.e. it won't work with you need to fish from x pool etc..
-- Other achievements will be ignored, and may cause error - who knows
-- Achievements with special cases (i.e. returns 0 critera) have fishids put into SpcAchieveFilters
FishWarden.AchieveFilters =
    {
    "878",
    "1836",
    "1837",
    "1957",
    "1958",
    "2094",
    "2095",
    "3218"
    };

-- This is a list of requirements for achievements which fail to work as implemented above (i.e. return 0 critera)
-- The list is done so that k = int(AchieveID), v = {fishid1, fishid2, ...} - i.e. v is an integer list, or a single int
FishWarden.SpcAchieveFilters =
    {
    [1836] = 34486,
    [1837] = 34484,
    [1958] = 43698,
    [3218] = 46109
    };

-- This is a list of generic filters.
-- The list is done so k = "NameOfSavedVar", v = {fishid1, fishid2, ...} - i.e. v is an integer list, or a single int
FishWarden.OtherFilters =
    {
    ["FilterMiscFishFeast"] = {41806, 41809, 41813},
    ["FilterMiscSTVContest"] = {19807, 19805, 19806, 19803},
    ["FilterMiscKaluakContest"] = 50289
    };

